CategoryAbstractCellEditor (Apache Log4j 1.2.17 API)
Date: 2012-05-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.lf5.viewer.categoryexplorer
Class CategoryAbstractCellEditor

    java.lang.Object
      org.apache.log4j.lf5.viewer.categoryexplorer.CategoryAbstractCellEditor

All Implemented Interfaces:
  CellEditor, TableCellEditor, TreeCellEditor

Direct Known Subclasses:
  CategoryNodeEditor

    public class CategoryAbstractCellEditor

extends Object
implements TableCellEditor, TreeCellEditor

CategoryAbstractCellEditor. Base class to handle the some common details of cell editing.

Author:
  Michael J. Sikorsky, Robert Shaw

Field Summary
`protected ChangeEvent` | `_changeEvent`
`protected int` | `_clickCountToStart`
`protected EventListenerList` | `_listenerList`
`protected Object` | `_value`

Constructor Summary
`CategoryAbstractCellEditor()`

Method Summary
`void` | `addCellEditorListener(CellEditorListener l)`
`void` | `cancelCellEditing()`
`protected void` | `fireEditingCanceled()`
`protected void` | `fireEditingStopped()`
`Object` | `getCellEditorValue()`
`int` | `getClickCountToStart()`
`Component` | `getTableCellEditorComponent(JTable table, Object value, boolean isSelected, int row, int column)`
`Component` | `getTreeCellEditorComponent(JTree tree, Object value, boolean isSelected, boolean expanded, boolean leaf, int row)`
`boolean` | `isCellEditable(EventObject anEvent)`
`void` | `removeCellEditorListener(CellEditorListener l)`
`void` | `setCellEditorValue(Object value)`
`void` | `setClickCountToStart(int count)`
`boolean` | `shouldSelectCell(EventObject anEvent)`
`boolean` | `stopCellEditing()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _listenerList

    protected EventListenerList _listenerList

### _value

    protected Object _value

### _changeEvent

    protected ChangeEvent _changeEvent

### _clickCountToStart

    protected int _clickCountToStart

Constructor Detail

### CategoryAbstractCellEditor

    public CategoryAbstractCellEditor()

Method Detail

### getCellEditorValue

    public Object getCellEditorValue()

  Specified by:
    `getCellEditorValue` in interface `CellEditor`

### setCellEditorValue

    public void setCellEditorValue(Object value)

### setClickCountToStart

    public void setClickCountToStart(int count)

### getClickCountToStart

    public int getClickCountToStart()

### isCellEditable

    public boolean isCellEditable(EventObject anEvent)

  Specified by:
    `isCellEditable` in interface `CellEditor`

### shouldSelectCell

    public boolean shouldSelectCell(EventObject anEvent)

  Specified by:
    `shouldSelectCell` in interface `CellEditor`

### stopCellEditing

    public boolean stopCellEditing()

  Specified by:
    `stopCellEditing` in interface `CellEditor`

### cancelCellEditing

    public void cancelCellEditing()

  Specified by:
    `cancelCellEditing` in interface `CellEditor`

### addCellEditorListener

    public void addCellEditorListener(CellEditorListener l)

  Specified by:
    `addCellEditorListener` in interface `CellEditor`

### removeCellEditorListener

    public void removeCellEditorListener(CellEditorListener l)

  Specified by:
    `removeCellEditorListener` in interface `CellEditor`

### getTreeCellEditorComponent

    public Component getTreeCellEditorComponent(JTree tree,
                                                Object value,
                                                boolean isSelected,
                                                boolean expanded,
                                                boolean leaf,
                                                int row)

  Specified by:
    `getTreeCellEditorComponent` in interface `TreeCellEditor`

### getTableCellEditorComponent

    public Component getTableCellEditorComponent(JTable table,
                                                 Object value,
                                                 boolean isSelected,
                                                 int row,
                                                 int column)

  Specified by:
    `getTableCellEditorComponent` in interface `TableCellEditor`

### fireEditingStopped

    protected void fireEditingStopped()

### fireEditingCanceled

    protected void fireEditingCanceled()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2012 Apache Software Foundation. All Rights Reserved.